GDB (xrefs)

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
mi_ui_out Class Reference

`#include "mi-out.h"`

Inheritance diagram for mi_ui_out:

## Public Member Functions
| mi_ui_out (int mi_version)
virtual | ~mi_ui_out ()
void | rewind ()
void | put (struct ui_file *stream)
int | version ()
Public Member Functions inherited from ui_out
| ui_out (ui_out_flags flags=0)
virtual | ~ui_out ()
void | push_level (ui_out_type type)
void | pop_level (ui_out_type type)
void | table_begin (int nr_cols, int nr_rows, const std::string &tblid)
void | table_header (int width, ui_align align, const std::string &col_name, const std::string &col_hdr)
void | table_body ()
void | table_end ()
void | begin (ui_out_type type, const char *id)
void | end (ui_out_type type)
void | field_int (const char *fldname, int value)
void | field_fmt_int (int width, ui_align align, const char *fldname, int value)
void | field_core_addr (const char *fldname, struct gdbarch *gdbarch, CORE_ADDR address)
void | field_string (const char *fldname, const char *string)
void | field_stream (const char *fldname, string_file &stream)
void | field_skip (const char *fldname)
void | field_fmt (const char *fldname, const char *format,...) ATTRIBUTE_PRINTF(3
void void | spaces (int numspaces)
void | text (const char *string)
void | message (const char *format,...) ATTRIBUTE_PRINTF(2
void void | wrap_hint (const char *identstring)
void | flush ()
void | redirect (ui_file *outstream)
ui_out_flags | test_flags (ui_out_flags mask)
bool | is_mi_like_p ()
bool | query_table_field (int colno, int *width, int *alignment, const char **col_name)

## Protected Member Functions
virtual void | do_table_begin (int nbrofcols, int nr_rows, const char *tblid) override
virtual void | do_table_body () override
virtual void | do_table_header (int width, ui_align align, const std::string &col_name, const std::string &col_hdr) override
virtual void | do_table_end () override
virtual void | do_begin (ui_out_type type, const char *id) override
virtual void | do_end (ui_out_type type) override
virtual void | do_field_int (int fldno, int width, ui_align align, const char *fldname, int value) override
virtual void | do_field_skip (int fldno, int width, ui_align align, const char *fldname) override
virtual void | do_field_string (int fldno, int width, ui_align align, const char *fldname, const char *string) override
virtual void | do_field_fmt (int fldno, int width, ui_align align, const char *fldname, const char *format, va_list args) override ATTRIBUTE_PRINTF(6
virtual void virtual void | do_spaces (int numspaces) override
virtual void | do_text (const char *string) override
virtual void | do_message (const char *format, va_list args) override ATTRIBUTE_PRINTF(2
virtual void virtual void | do_wrap_hint (const char *identstring) override
virtual void | do_flush () override
virtual void | do_redirect (struct ui_file *outstream) override
virtual bool | do_is_mi_like_p () override

## Private Member Functions
void | field_separator ()
void | open (const char *name, ui_out_type type)
void | close (ui_out_type type)
string_file * | main_stream ()

## Private Attributes
bool | m_suppress_field_separator
bool | m_suppress_output
int | m_mi_version
std::vector< ui_file * > | m_streams

## Detailed Description

Definition at line 29 of file mi-out.h.

## Constructor & Destructor Documentation

## ◆ mi_ui_out()

mi_ui_out::mi_ui_out | ( | int | mi_version | ) |
| explicit

Definition at line 276 of file mi-out.c.

References m_streams.

## ◆ ~mi_ui_out()

mi_ui_out::~mi_ui_out | ( |  | ) |
| virtual

Definition at line 285 of file mi-out.c.

## Member Function Documentation

## ◆ close()

void mi_ui_out::close | ( | ui_out_type | type | ) |
| private

Definition at line 218 of file mi-out.c.

References _, fputc_unfiltered(), internal_error(), m_streams, m_suppress_field_separator, ui_out_type_list, and ui_out_type_tuple.

Referenced by do_end(), do_table_body(), do_table_end(), and do_table_header().

## ◆ do_begin()

void mi_ui_out::do_begin | ( | ui_out_type | type,
|  | const char * | id
| ) |  |
| override protected virtual

Implements ui_out.

Definition at line 76 of file mi-out.c.

References open().

## ◆ do_end()

void mi_ui_out::do_end | ( | ui_out_type | type | ) |
| override protected virtual

Implements ui_out.

Definition at line 84 of file mi-out.c.

References close().

## ◆ do_field_fmt()

void mi_ui_out::do_field_fmt | ( | int | fldno,
|  | int | width,
|  | ui_align | align,
|  | const char * | fldname,
|  | const char * | format,
|  | va_list | args
| ) |  |
| override protected virtual

Reimplemented from ui_out.

Definition at line 130 of file mi-out.c.

References field_separator(), fprintf_unfiltered(), fputs_unfiltered(), m_streams, and vfprintf_unfiltered().

## ◆ do_field_int()

void mi_ui_out::do_field_int | ( | int | fldno,
|  | int | width,
|  | ui_align | align,
|  | const char * | fldname,
|  | int | value
| ) |  |
| override protected virtual

Implements ui_out.

Definition at line 92 of file mi-out.c.

References do_field_string(), and xsnprintf().

Referenced by do_table_begin(), and do_table_header().

## ◆ do_field_skip()

void mi_ui_out::do_field_skip | ( | int | fldno,
|  | int | width,
|  | ui_align | align,
|  | const char * | fldname
| ) |  |
| override protected virtual

Implements ui_out.

Definition at line 104 of file mi-out.c.

## ◆ do_field_string()

void mi_ui_out::do_field_string | ( | int | fldno,
|  | int | width,
|  | ui_align | align,
|  | const char * | fldname,
|  | const char * | string
| ) |  |
| override protected virtual

Implements ui_out.

Definition at line 113 of file mi-out.c.

References field_separator(), fprintf_unfiltered(), fputstr_unfiltered(), and m_streams.

Referenced by do_field_int(), and do_table_header().

## ◆ do_flush()

void mi_ui_out::do_flush | ( |  | ) |
| override protected virtual

Implements ui_out.

Definition at line 167 of file mi-out.c.

References gdb_flush(), and m_streams.

## ◆ do_is_mi_like_p()

virtual bool mi_ui_out::do_is_mi_like_p | ( |  | ) |
| inline override protected virtual

Reimplemented from ui_out.

Definition at line 72 of file mi-out.h.

## ◆ do_message()

void mi_ui_out::do_message | ( | const char * | format,
|  | va_list | args
| ) |  |
| override protected virtual

Reimplemented from ui_out.

Definition at line 156 of file mi-out.c.

## ◆ do_redirect()

void mi_ui_out::do_redirect | ( | struct ui_file * | outstream | ) |
| override protected virtual

Implements ui_out.

Definition at line 174 of file mi-out.c.

References m_streams.

## ◆ do_spaces()

void mi_ui_out::do_spaces | ( | int | numspaces | ) |
| override protected virtual

Implements ui_out.

Definition at line 146 of file mi-out.c.

## ◆ do_table_begin()

void mi_ui_out::do_table_begin | ( | int | nbrofcols,
|  | int | nr_rows,
|  | const char * | tblid
| ) |  |
| override protected virtual

Implements ui_out.

Definition at line 30 of file mi-out.c.

References do_field_int(), open(), ui_left, ui_out_type_list, and ui_out_type_tuple.

## ◆ do_table_body()

void mi_ui_out::do_table_body | ( |  | ) |
| override protected virtual

Implements ui_out.

Definition at line 42 of file mi-out.c.

References close(), open(), and ui_out_type_list.

## ◆ do_table_end()

void mi_ui_out::do_table_end | ( |  | ) |
| override protected virtual

Implements ui_out.

Definition at line 52 of file mi-out.c.

References close(), ui_out_type_list, and ui_out_type_tuple.

## ◆ do_table_header()

void mi_ui_out::do_table_header | ( | int | width,
|  | ui_align | align,
|  | const std::string & | col_name,
|  | const std::string & | col_hdr
| ) |  |
| override protected virtual

Implements ui_out.

Definition at line 61 of file mi-out.c.

References close(), do_field_int(), do_field_string(), open(), ui_center, and ui_out_type_tuple.

## ◆ do_text()

void mi_ui_out::do_text | ( | const char * | string | ) |
| override protected virtual

Implements ui_out.

Definition at line 151 of file mi-out.c.

## ◆ do_wrap_hint()

void mi_ui_out::do_wrap_hint | ( | const char * | identstring | ) |
| override protected virtual

Implements ui_out.

Definition at line 161 of file mi-out.c.

References wrap_here().

## ◆ field_separator()

void mi_ui_out::field_separator | ( |  | ) |
| private

Definition at line 183 of file mi-out.c.

References fputc_unfiltered(), m_streams, and m_suppress_field_separator.

Referenced by do_field_fmt(), do_field_string(), and open().

## ◆ main_stream()

string_file * mi_ui_out::main_stream | ( |  | ) |
| private

Definition at line 240 of file mi-out.c.

References gdb_assert, and m_streams.

Referenced by put(), and rewind().

## ◆ open()

void mi_ui_out::open | ( | const char * | name,
|  | ui_out_type | type
| ) |  |
| private

Definition at line 192 of file mi-out.c.

References _, field_separator(), fprintf_unfiltered(), fputc_unfiltered(), internal_error(), m_streams, m_suppress_field_separator, name, ui_out_type_list, and ui_out_type_tuple.

Referenced by do_begin(), do_table_begin(), do_table_body(), and do_table_header().

## ◆ put()

void mi_ui_out::put | ( | struct ui_file * | stream | ) |

Definition at line 258 of file mi-out.c.

References string_file::clear(), string_file::data(), main_stream(), string_file::size(), and ui_file::write().

Referenced by mi_out_put().

## ◆ rewind()

void mi_ui_out::rewind | ( |  | ) |

Definition at line 250 of file mi-out.c.

References string_file::clear(), and main_stream().

Referenced by mi_out_rewind().

## ◆ version()

int mi_ui_out::version | ( |  | ) |

Definition at line 269 of file mi-out.c.

References m_mi_version.

Referenced by mi_version().

## Member Data Documentation

## ◆ m_mi_version

int mi_ui_out::m_mi_version
| private

Definition at line 88 of file mi-out.h.

Referenced by version().

## ◆ m_streams

std::vector<ui_file *> mi_ui_out::m_streams
| private

Definition at line 89 of file mi-out.h.

Referenced by close(), do_field_fmt(), do_field_string(), do_flush(), do_redirect(), field_separator(), main_stream(), mi_ui_out(), and open().

## ◆ m_suppress_field_separator

bool mi_ui_out::m_suppress_field_separator
| private

Definition at line 86 of file mi-out.h.

Referenced by close(), field_separator(), and open().

## ◆ m_suppress_output

bool mi_ui_out::m_suppress_output
| private

Definition at line 87 of file mi-out.h.

The documentation for this class was generated from the following files:

- /tmp/gdb-8.1/gdb/mi/mi-out.h
- /tmp/gdb-8.1/gdb/mi/mi-out.c